import { integer, pgTable, text, smallint, char } from 'drizzle-orm/pg-core';

export const tasks = pgTable('tasks', {
  id: integer().notNull(),
  correct_answer: text(),
  media_url: text(),
  weight: smallint(),
});

export const questions = pgTable('questions', {
  task_id: integer(),
  lang: char({ length: 2 }),
  text: text(),
});

export const tasks_advanced = pgTable('tasks_advanced', {
  id: integer().notNull(),
  correct_answer: char({ length: 1 }),
  media_url: text(),
  weight: smallint(),
});

export const questions_advanced = pgTable('questions_advanced', {
  task_id: integer(),
  lang: char({ length: 2 }),
  text: text(),
  answer_a: text(),
  answer_b: text(),
  answer_c: text(),
});

export const categories_db = pgTable('categories', {
  name: text(),
  task_id: integer(),
});
